# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Summary:        Enables applications to manage information stored in an LDAP directory
Name:           ldapsdk
Version:        4.17
Release:        3jpp
Epoch:          1
Group:          Development/Libraries/Java
License:        NPL
URL:            http://www.mozilla.org/directory/
Source0:        ftp://ftp.mozilla.org/pub/directory/java-sdk/ldapsdk_java_20020819.tar.gz
Source1:	%{name}-build.xml
# FIXME: A jpackage must be created for the
# Mozilla Network Security Services for Java (JSS)
Source2:	jss34.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  jakarta-oro
Provides:	ldapjdk = %{epoch}:%{version}-%{release}
Obsoletes:	ldapjdk <= 1:4.17-1jpp

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n mozilla
for dir in `find . -type d -name CVS`; do rm -rf $dir; done

%build
pushd directory/java-sdk
install -m 644 %{SOURCE1} build.xml
mkdir src
cp -pfr ldapbeans/netscape/ ldapfilter/netscape/ ldapjdk/netscape/ ldapsp/com/ src
rm -rf ldapbeans/netscape/ ldapfilter/netscape/ ldapjdk/netscape/ ldapsp/com/
find . -name "*.java" -exec perl -p -i -e 's|com.oroinc|org.apache.oro|g;' {} \;
# FIXME: A jpackage must be created for this
cp %{SOURCE2} .
export CLASSPATH=jss34.jar:%(build-classpath oro)
ant
popd

%install
# jar
pushd directory/java-sdk
install -d $RPM_BUILD_ROOT%{_javadir}
install build/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc directory/buildjsdk.txt directory/java-sdk/{ldapsp-relnotes.htm,relnotes.htm}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Jul 24 2006 Ralph Apel <r.apel@r-apel.de> 1:4.17-3jpp
- Provide ldapjdk = 1:4.17-3jpp
- Obsolete ldapjdk <= 1:4.17-1jpp

* Mon Jun 19 2006 Ralph Apel <r.apel@r-apel.de> 1:4.17-2jpp
- First JPP-1.7 release

* Sat Aug 21 2004 Fernando Nasser <fnasser@redhat.com> 1:4.17-1jpp
- Update to 4.17
- Raise Epoch to 1 so it is newer than the dated version
- Included as a temporary fix the required Mozzilla JSS jar file
- Built with Ant 1.6.2

* Sat May 10 2003 David Walluck <david@anti-microsoft.org> 0:20000505-1jpp
- release
